# $Revision: 1.19 $, $Date: 2011/06/30 17:25:32 $
Summary:	xprop application - property displayer for X
Summary(pl.UTF-8):	Aplikacja xprop do wyświetlania właściwości dla X
Name:		xorg-app-xprop
Version:	1.2.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xprop-%{version}.tar.bz2
# Source0-md5:	d5529dc8d811efabd136ca2d8e857deb
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xprop utility is for displaying window and font properties in an X
server. One window or font is selected using the command line
arguments or possibly in the case of a window, by clicking on the
desired window. A list of properties is then given, possibly with
formatting information.

%description -l pl.UTF-8
Narzędzie xprop służy do wyświetlania właściwości okien in fontów w
serwerze X. Można wybrać jedno okno lub font przy użyciu argumentów
linii poleceń lub, w przypadku okna, klikając na nie. Następnie
podawana jest lista właściwości, w miarę możliwości wraz z
informacjami o formacie.

%prep
%setup -q -n xprop-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xprop
%{_mandir}/man1/xprop.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xprop.spec,v $
Revision 1.19  2011/06/30 17:25:32  qboosh
- updated to 1.2.1

Revision 1.18  2011/01/29 00:07:55  sparky
- dropped pre-cvs changelog

Revision 1.17  2010/10/31 16:06:51  qboosh
- updated to 1.2.0

Revision 1.16  2009/10/19 20:32:54  qboosh
- updated to 1.1.0
- xmuu seems no longer used

Revision 1.15  2008/03/08 02:00:52  qboosh
- updated to 1.0.4

Revision 1.14  2007-08-11 07:53:43  qboosh
- real descs from man
- updated util-macros BR

Revision 1.13  2007/08/11 07:17:45  arekm
- up to 1.0.3

Revision 1.12  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.10  2006/10/15 23:31:21  qboosh
- more verbose files

Revision 1.9  2006/08/30 09:49:55  qboosh
- updated to 1.0.2, release 1

Revision 1.8  2006/01/13 09:01:09  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 15:10:14  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs
